"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concatVisitResult = void 0;
function concatVisitResult(...visitResults) {
    const resourceRelatInfos = [];
    const resourceVarInfos = [];
    for (const visitResult of visitResults) {
        if (!visitResult) {
            continue;
        }
        if (visitResult.resourceRelatInfos != undefined) {
            resourceRelatInfos.push(...visitResult.resourceRelatInfos);
        }
        if (visitResult.resourceVarInfos != undefined) {
            resourceVarInfos.push(...visitResult.resourceVarInfos);
        }
    }
    return {
        resourceRelatInfos,
        resourceVarInfos,
    };
}
exports.concatVisitResult = concatVisitResult;
//# sourceMappingURL=types.js.map